TAAS - Feature #252

GDS Productivity Report
07/09/2023 04:18 PM - Anil KV

Status: Reopen Bugs Coding Done Start date: 07/09/2023
Priority: Normal Due date:

Assignee: Nawal Sidique % Done: 70%
Category: Estimated time: 0:00 hour
Target version: 22.12 Spent time: 0:00 hour
Owner(Agency): Travvise Tested By: unnikannan S
Time Taken(HH): Code Reviewed By:

Module: GDS Productivity Report

Description

Coding GDS Productivity Report

History

#1 - 08/07/2023 10:02 AM - Anonymous

- Assignee changed from travvise Admin to Karthika V Anand

#2 - 08/08/2023 12:03 PM - Karthika V Anand
- Status changed from New to Coding Started
- % Done changed from 0 to 40

#3 - 08/23/2023 01:58 PM - Anil KV

Solutions:-

1) GUI Changes
-GDS Multi selection
—Status Label change to Consider (Data Service)
*Untick only Booking, Void(Direct)
-Tick all GDS
—Add Exclude MultiSelectBox - Re-Issue Ticket
-Add Issuing Staff/Booking Staff Dropdown input
—Currency Items Empty - Default, Basel(***), all currency code
—Summary List Title part - Add Sub Grouping 2 Selectbox -
* No Grouping-Default, Airline, Supplier, Issuing Staff, Booking Staff, Issuing Office ID, Ticketing Office ID
, PNR First Owner Office ID, PNR Current Owner Office ID, Sector, Class, Ticket Type
—Summary Code Column Rename - GDS
—-Details List Default (first) grouping - GDS wise
-Details List Title part - Add Sub Grouping a Selectbox —-> 2nd Grouping
*No Grouping-Default, Airline, Supplier, Issuing Staff, Booking Staff, Issuing Office ID, Ticketing Office ID,
Sector, Class, Ticket Type
-Each summary section - Supplier Amount, No Of Tickets, No Of Pax, No Of Segment, Total Segment
*Not Mandatory
2) SQL
SELECT spd.vhr_supp_doc_no,
CASE WHEN sin_record_type = 1 THEN spd.dat_issue ELSE spd.dat_cancel END AS dat_issue_or_cancel,
spd.fk_service_id,
tkt.sin_no_of_segments,
tkt.sin_record_type,
CASE WHEN sin_record_type = 1 THEN spd.sin_sys_sale_side_status ELSE spd.sin_sys_refund_side_status END AS
sin_sys_status,
COALESCE (tkt.vhr_pax_name, pxp.vhr_pax_name, '') AS vhr_pax_name,
(tkt.sin_no_of_adult + tkt.sin_no_of_child + tkt.sin_no_of_infant) AS sin_no_pax,
sfr.vhr_currency,
sfr.dbl_supplier_amount
FROM airticket.tbl_ticket tkt
LEFT JOIN service.tbl_ supp_doc_no spd
ON tkt.fk_supp_doc_no_id = spd.pk_supp_doc_no_id
LEFT JOIN airticket.tbl_ticket_gen_data tktg
ON tktg.fk_supp_doc_no_id = spd.pk_supp_doc_no_id
LEFT JOIN service.tbl_supp_doc_fare sfr
ON tkt.fk_ticket_cus_ledg_fare_id = sfr.pk_supp_doc_fare_id -- Currecy inputbase Choose the field
LEFT JOIN pax.tbl_pax_profile pxp
ON tkt.fk_pax_profile_id = pxp.pk_pax_profile_id
WHERE tkt.int_sys_action_id != -1
AND ((sin_record_type = 1 AND spd.dat_issue BETWEEN '2023-07-01' AND '2023-07-31' --Sales side
AND spd.sin_sys_sale_side_status = 1
.
OR (sin_record_type = 2 AND spd.dat_cancel BETWEEN '2023-07-01' AND '2023-07-31' —--Refund side where
AND spd.sin_sys_refund_side_status IN (1,2)
-))
ORDER BY dat_issue_or_cancel
—— Travel date then use spd.dat_from >='%s' AND spd.dat_to
—-— tkt.sin_gds_company
-— spd.fk_ba_branch_id

—— Refund(sin_record_type==2) Recotd then all feres and counts(Pax count, Segment count) are -Ve in Details Se
ction
-— Total Segmant = sin_no_of_segments * sin_no_pax

#4 - 09/12/2023 05:38 PM - Karthika V Anand
- Status changed from Coding Started to Coding Done
- % Done changed from 40 to 60

#5 - 09/22/2023 03:19 PM - Seema Mathew
- Status changed from Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By set to Seema Mathew

ISSUE FOUNDED****

1.TOTAL AMOUNT MUST BE BOLD IN PRINT
2.ERASER FILTER NOT WORKING

#6 - 09/23/2023 11:43 AM - Karthika V Anand
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#7 - 09/23/2023 04:26 PM - Seema Mathew
TESTING DONE

#8 - 09/26/2023 06:57 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By changed from Seema Mathew to unnikannan S

ISSUE FOUNDED

1.CORRECT ALLIGMENT PERIOD ISSUE

2.NOT SHOWING DATA AS PER TRAVEL DATE

3.ERROR WHILE ADDING BLANK OPTION IN TICKETING OFFICE ID
4.CORRECT ALLIGMENT TICKETING OFFICE

5.BUG WHILE CHOOSING BOOKING FROM CONSIDER
6.CORRECT NO OF SEGMENTS

7.SHOWINFG FALSE GDS NAME IN PRINT

8.ADD REFUNDING STAFF

#9 - 09/27/2023 03:11 PM - Karthika V Anand
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#10 - 10/06/2023 03:25 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 60 to 50
ISSUE FOUNDED

1.ID WISE FILTERING NOT WORKING

2.COUNT ISSUE IN TOTAL SEGMENT

3.ISSUING STAFF WISE FILTERING NOT WORKING DATE
4. TRAVEL DATE WISE SEARCH NOT WORKING

#11 - 10/07/2023 05:26 PM - Junaid M
- Assignee changed from Karthika V Anand to Vivekp V

#12 - 10/18/2023 01:22 PM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 60

ISSUE FIXED

1.ID WISE FILTERING NOT WORKING

2.COUNT ISSUE IN TOTAL SEGMENT

3.ISSUING STAFF WISE FILTERING NOT WORKING DATE
4. TRAVEL DATE WISE SEARCH NOT WORKING

#13 - 12/21/2023 03:04 PM - unnikannan S
ISSUE FOUNDED

1.ADD VALIDATION FOR DATE

2.SHOW BASE1 CURRENCY DEFAULT ON CURRENCY FIELD (FIXED)
3.SHOWING STATUS OF VOID VOUCHERS AS BOOKING

4.NO DATA WHILE SEARCH WITH TRAVEL DATE (FIXED)
5.CORRECT THE SPELL OF ISSUING OFFICE ID IN GRID (FIXED)

#14 - 01/15/2024 04:26 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUNDED

1.CORRECT THE WORK FLOW OF CONSIDER OPTION WISE SEARCHING
2.SHOWING WRONG STATUS OF VOUCHERS THOSE CANCELED/VOID

#15 - 01/16/2024 08:11 PM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 60

ISSUE FIXED

1.CORRECT THE WORK FLOW OF CONSIDER OPTION WISE SEARCHING
2.SHOWING WRONG STATUS OF VOUCHERS THOSE CANCELED/VOID

#16 - 01/17/2024 12:07 PM - unnikannan S
TESTING DONE

#17 - 02/12/2024 11:55 AM - unnikannan S

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUNDED

1.ADD VALIDATION FOR PERIOD

2.SHOW DATA AS PER SELECTDED FILTER FIELDS IN Ul

3.CONSIDER NEW FILTER FIELD USED IN ISSUE/SALE. OFFICE/BOOKING ID FOR FILTERING PURPOSES
4.CLEAR DELETED ACCOUNTS SHOWING IN FILTERING FIELDS
5.CLEAR DATAS FROM LIST THAT NOT RELATED WITH ANY GDS

#18 - 02/12/2024 06:26 PM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

ISSUE FIXED

1.ADD VALIDATION FOR PERIOD
2.SHOW DATA AS PER SELECTDED FILTER FIELDS IN Ul

3.CONSIDER NEW FILTER FIELD USED IN ISSUE/SALE. OFFICE/BOOKING ID FOR FILTERING PURPOSES

4.CLEAR DELETED ACCOUNTS SHOWING IN FILTERING FIELDS
5.CLEAR DATAS FROM LIST THAT NOT RELATED WITH ANY GDS

#19 - 02/16/2024 11:16 AM - unnikannan S
TESTING DONE

#20 - 02/16/2024 11:17 AM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 60 to 50

ISSUE FOUNDED

1.MISSING PAX PROFILE NAME FROM LIST
2.FALSE SEGMENT COUNT IN LSIT WHILE ADDING PAX COUNT

#21 - 02/19/2024 02:26 PM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 60

ISSUE FIXED

1.MISSING PAX PROFILE NAME FROM LIST
2.FALSE SEGMENT COUNT IN LSIT WHILE ADDING PAX COUNT

#22 - 02/21/2024 11:22 AM - unnikannan S
TESTING DONE

#23 - 03/12/2024 10:44 AM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUNDED

1.CONSIDER NORMAL PROFIT
2.CONSIDER ALL DATA WHILE CLEARING ALL OPTIONS FROM CONSIDER MULTY SELECT
3.COUNT VALUES SHOWING AS MINUS ON NET COLUMN

#24 - 03/12/2024 01:27 PM - Vivekp V
ISSUE FIXED

1.CONSIDER NORMAL PROFIT
2.CONSIDER ALL DATA WHILE CLEARING ALL OPTIONS FROM CONSIDER MULTY SELECT
3.COUNT VALUES SHOWING AS MINUS ON NET COLUMN minus is needed

#25 - 03/12/2024 01:27 PM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#26 - 03/12/2024 02:37 PM - unnikannan S
TESTING DONE
#27 - 10/02/2024 02:08 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Testing Done

- % Done changed from 70 to 90

#28 - 03/10/2025 05:56 PM - Arathy PS
- Status changed from Testing Done to Reopen Bugs

- % Done changed from 90 to 50

ISSUE FOUND - FIXED

1. Grouping is not showing in the print.

#29 - 03/10/2025 07:01 PM - Vivekp V
- Assignee changed from Vivekp V to Nawal Sidique

#30 - 03/12/2025 09:09 AM - Nawal Sidique
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#31 - 03/18/2025 05:07 PM - Arathy PS
- File clipboard-202503181523-axe66.png added
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 70 to 50

ISSUE FOUND

1. Not showing GDS grouping in the print of details tab - FIXED

GDS-Details
Period (Issue) : 18/03/2025 - 18/03/2025 Branch : All
‘ GDS : All
Issue Date Airline Ticket Curre Fare Tax Commission Cost Price Profit Status
ncy
Supplier: SUP001:: BSP SUPPLIER
18/03/2025  JP165:Adria 99872 QAR 2000.00 0.00 0.00 2000.00 2000.00 0.00 Sold
Airways
Total In QAR 2000.00 0.00 0.00 2000.00 2000.00 0.00
2. Add redirection to the ticket no: - FIXED
#32 - 03/19/2025 05:06 PM - Nawal Sidique
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70
Files
clipboard-202503181523-axe66.png 57 KB 03/18/2025 Arathy PS
